<?php

namespace Smac\UserBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Security\Core\SecurityContext;
//use Smac\UserBundle\Entity\User;
//use Smac\UserBundle\Form\UserType;
use Symfony\Component\HttpFoundation\Response;

class PreferencesController extends Controller
{
    public function indexAction()
    {
        return $this->render('SmacUserBundle:Preferences:index.html.twig');
    }

    public function passwordAction()
    {
        $em = $this->getDoctrine()->getManager();
        $form = $this->getRequest()->request;

        $pwd = $form->get('pwd');
        $old = $form->get('old_pwd');

        $user = $this->get('security.context')->getToken()->getUser();

        $encoder = $this->get('security.encoder_factory')->getEncoder($user);

        if ($encoder->encodePassword($old, $user->getSalt()) == $user->getPassword()) {
            $user->setPassword($encoder->encodePassword($pwd, $user->getSalt()));
            $em->persist($user);
            $em->flush();

            $response = true;
        } else {
            $response = false;
        }
        return new Response(json_encode(array('saved'=>$response)), 200, array('Content-Type'=>'application/json'));
    }
}
