$(document).ready(function(){
    $('.pwd-btn').click(function(e){

        e.preventDefault();

        //si esta desactivado no avanza
        if($(this).hasClass('disabled'))
            return false;

        var ref = $(this);

        var old = $('input[name="old_pwd"]');
        var pwd = $('input[name="pwd"]');
        var re = $('input[name="re_pwd"]');

        if (pwd.val() != re.val() && pwd.val()!="") {
            re.addClass('error');
            pwd.addClass('error');
            return false;
        } else {
            re.removeClass('error');
            pwd.removeClass('error');
        }

        var data = [];
        data.push({'name':'old_pwd', 'value':old.val()});
        data.push({'name':'pwd', 'value':pwd.val()});

        $.ajax({
            type    : "POST",
            url     : Routing.generate('smac_user_preferences_password'),
            data    : data,
            beforeSend: function() {
                ref.addClass('disabled');
            },
            success : function(ret) {
                ref.removeClass('disabled');

                if (ret.saved == true) {
                    alert('Password cambiado correctamente');
                } else {
                    alert('El password no coincide');
                }
            }
        });
    });
});