<?php

namespace Smac\APIBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Security\Core\SecurityContext;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\RedirectResponse;
use Smac\ProjectBundle\Entity\Project;
use Smac\MessageBundle\Document\Message;

class FacebookController extends Controller
{
    public function testAction()
    {
        // http://stackoverflow.com/questions/12558593/how-to-use-facebook-server-side-flow-with-fosfacebookbundle
        $appId = $this->container->getParameter('fos_facebook.app_id');
        $appSecret = $this->container->getParameter('fos_facebook.secret');
        $scope = implode(',', $this->container->getParameter('fos_facebook.permissions'));
        $callbackUrl = "http://192.168.1.134/smac/web/app_dev.php/api/facebook/test";//$this->container->getParameter('fos_facebook.callback_url');
        //$state = md5(uniqid(rand(), true));
        //$this->getRequest()->getSession()->set('facebook_state', $state);
        //$uri = "https://www.facebook.com/dialog/oauth?client_id=".$client_id."&redirect_uri=".urlencode("http://192.168.1.134/smac/web/app_dev.php/api/facebook/back");
        //return $this->redirect($uri);

        $facebook = $this->get('fos_facebook.api');
        $facebook->setAppId($appId);
        $facebook->setApiSecret($appSecret);

        //echo "<pre>";
        //var_dump($facebook);
        $user = $facebook->getUser();
        var_dump($user);
        print_r($_SESSION);

        if ($user) {
            try {
                // Proceed knowing you have a logged in user who's authenticated.
                $user_profile = $facebook->api('/me/home?q=facebook');
                print_r($user_profile);
            } catch (FacebookApiException $e) {
                error_log($e);
                $user = null;
            }
        }

        // Login or logout url will be needed depending on current user state.
        if ($user) {
            $logoutUrl = $facebook->getLogoutUrl();
            echo '<a href="'.$logoutUrl.'">logout</a><br />';
        } else {
            $params = array(
                'scope' => $scope,
                'redirect_uri' => $callbackUrl
            );
            $loginUrl = $facebook->getLoginUrl($params);
            echo '<a href="'.$loginUrl.'">login</a><br />';
        }

        //echo $user;
        die('final');
    }

    public function backAction()
    {
        //$request = $this->getRequest();
        //$code = $request->query->get('code');

        //https://graph.facebook.com/oauth/access_token?
        //client_id=YOUR_APP_ID&redirect_uri=YOUR_URL&
        //client_secret=YOUR_APP_SECRET&code=THE_CODE_FROM_ABOVE

        $appId = $this->container->getParameter('fos_facebook.app_id');
        $appSecret = $this->container->getParameter('fos_facebook.secret');
        $facebook = $this->get('fos_facebook.api');
        $facebook->setAppId($appId);
        $facebook->setApiSecret($appSecret);

        $user = $facebook->getUser();

        if ($user) {
            try {
                // Proceed knowing you have a logged in user who's authenticated.
                $user_profile = $facebook->api('/me/home?q=facebook');
                echo '<pre>'.htmlspecialchars(print_r($user_profile, true)).'</pre>';
            } catch (FacebookApiException $e) {
                echo '<pre>'.htmlspecialchars(print_r($e, true)).'</pre>';
                $user = null;
            }
        }

        die();//'code:'.$code);
    }
}