<?php
namespace Smac\ProjectBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\FixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;
use Symfony\Component\DependencyInjection\ContainerAwareInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

use Smac\ProjectBundle\Entity\Category;

class LoadCategoryData implements FixtureInterface, ContainerAwareInterface
{
    private $container;

    public function setContainer(ContainerInterface $container = null)
    {
        $this->container = $container;
    }

    /**
    * {@inheritDoc}
    */
    public function load(ObjectManager $manager)
    {
        //@todo: fixtures de proyectos y ordenar orden de ejecucion USER > PROJECT > CATEGORY
        $categories = array('');

        foreach ($categories as $cname) {
            $category = new Category();
            $category->setName($cname);
            $category->setProject();

            $manager->persist($category);
        }

        $manager->flush();
    }
}