$(document).ready(function(){
    $('a.save-user').click(function(e){
        e.preventDefault();

        if($(this).hasClass('disabled'))
            return;

        var data = [];
        var ref = $(this);
        $(this).parent().siblings().find('input[type="checkbox"]:checked').each(function(){
            data.push({'name': $(this).attr('data-role'), 'value':1});
        });
        $.ajax({
            type    : "POST",
            url     : $(this).attr('src'),
            data    : data,
            beforeSend: function() {
                ref.addClass('disabled');
            },
            success : function(ret) {
                ref.removeClass('disabled');
                alert('Registro guardado correctamente');
            }
        });
    });
})