$(document).ready(function(){
    //var nowTemp = new Date();
    //var now = new Date(nowTemp.getFullYear(), nowTemp.getMonth(), nowTemp.getDate(), 0, 0, 0, 0);

    var checkin = $('#dpd1').datepicker({
        onRender: function(date) {
            //return date.valueOf() < now.valueOf() ? 'disabled' : '';
        },
        format: 'dd/mm/yyyy',
        weekStart: 1
    }).on('changeDate', function(ev) {
            var newDate = new Date(ev.date);
            newDate.setDate(newDate.getDate() + 1);
            checkout.setValue(newDate);
            checkin.hide();
            $('#dpd2')[0].focus();
        }).data('datepicker');
    var checkout = $('#dpd2').datepicker({
        onRender: function(date) {
            return date.valueOf() <= checkin.date.valueOf() ? 'disabled' : '';
        },
        format: 'dd/mm/yyyy',
        weekStart: 1
    }).on('changeDate', function(ev) {
            checkout.hide();
        }).data('datepicker');




    $('.btn-generate-report').click(function(e){
        e.preventDefault();

        var btn = $(this);
        if(btn.hasClass('disabled'))
            return false;

        var data = [];
        data.push({'name':'date-ini', 'value':$('#dpd1').val()});
        data.push({'name':'date-end', 'value':$('#dpd2').val()});

        $.ajax({
            type    : "POST",
            url     : Routing.generate('smac_report_generate'),
            data    : data,
            beforeSend: function() {
                btn.addClass('disabled');
            },
            success : function(ret) {
                btn.removeClass('disabled');
                $('.generated-report').html(ret);
            }
        });

    });
});